Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200803-21 ] Sarg: Remote execution of arbitrary code
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1471

PostPosted: Wed Mar 12, 2008 7:26 pm    Post subject: [ GLSA 200803-21 ] Sarg: Remote execution of arbitrary code Reply with quote

Gentoo Linux Security Advisory

Title: Sarg: Remote execution of arbitrary code (GLSA 200803-21)
Severity: normal
Exploitable: remote
Date: March 12, 2008
Bug(s): #212208, #212731
ID: 200803-21

Synopsis

Sarg is vulnerable to the execution of arbitrary code when processed with untrusted input files.

Background

Sarg (Squid Analysis Report Generator) is a tool that provides many informations about the Squid web proxy server users activities: time, sites, traffic, etc.

Affected Packages

Package: net-analyzer/sarg
Vulnerable: < 2.2.5
Unaffected: >= 2.2.5
Architectures: All supported architectures


Description

Sarg doesn't properly check its input for abnormal content when processing Squid log files.

Impact

A remote attacker using a vulnerable Squid as a proxy server or a reverse-proxy server can inject arbitrary content into the "User-Agent" HTTP client header, that will be processed by sarg, which will lead to the execution of arbitrary code, or JavaScript injection, allowing Cross-Site Scripting attacks and the theft of credentials.

Workaround

There is no known workaround at this time.

Resolution

All sarg users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=net-analyzer/sarg-2.2.5"


References

CVE-2008-1167
CVE-2008-1168


Last edited by GLSA on Sat Nov 01, 2008 4:23 am; edited 2 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum